# plugins/pyloader/src/testsuite/python_loader_configure.py - Copyright 2005, 2006, University
#                            of Padova, dept. of Pure and Applied
#                            Mathematics
#
# This file is part of SGPEMv2.
#
# This is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# SGPEMv2 is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with SGPEMv2. If not, see http://www.gnu.org/licenses/.


from CPUPolicy import CPUPolicy
import sys

class python_loader_configure(CPUPolicy) :
    def __init__(self):
        pass;

    def configure(self):
        print "[II] Entering willingly an endless loop."
        while True:
            pass

    def is_preemptive(self):
        return False

    def get_time_slice(self):
        return -1

    def sort_queue(self, queue):
        pass
